Update Profile Validation Rule
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/profiles/validation-rules/{profileValidationRule} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"pattern": "<string>",
"error_message": "<string>",
"priority": 123,
"is_active": true,
"effective_from": "2023-11-07T05:31:56Z",
"effective_to": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"values": [
{
"value": "<string>",
"is_active": true
}
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/profiles/validation-rules/{profileValidationRule}"
payload = {
"name": "<string>",
"pattern": "<string>",
"error_message": "<string>",
"priority": 123,
"is_active": True,
"effective_from": "2023-11-07T05:31:56Z",
"effective_to": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"values": [
{
"value": "<string>",
"is_active": True
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
pattern: '<string>',
error_message: '<string>',
priority: 123,
is_active: true,
effective_from: '2023-11-07T05:31:56Z',
effective_to: '2023-11-07T05:31:56Z',
created_by: '<string>',
updated_by: '<string>',
values: [{value: '<string>', is_active: true}]
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/validation-rules/{profileValidationRule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"type": "<string>",
"rule_type": "<string>",
"applies_to": "<string>",
"pattern": "<string>",
"error_message": "<string>",
"priority": 123,
"is_active": true,
"effective_from": "<string>",
"effective_to": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"values": [
{
"id": 123,
"rule_id": 123,
"value": "<string>",
"is_active": true,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Profile Validation Rule
Update Profile Validation Rule
A PATCH to the /profiles/validation-rules/{ruleId} endpoint allows your application to update a specific Profile Validation Rule.
PUT
/
v3
/
profiles
/
validation-rules
/
{profileValidationRule}
Update Profile Validation Rule
Path Parameters
The profile validation rule ID
Body
application/json
Maximum string length:
255Available options:
email, mobile, name Available options:
exact, domain, prefix, regex Available options:
create, update, import, all Maximum string length:
255Maximum string length:
255Maximum string length:
255Show child attributes
Show child attributes
Response
ProfileValidationRule
Show child attributes
Show child attributes
⌘I